Bug 1256273 - NameError: name '_REQUESTED_PLUGIN_NAMES' is not defined
NameError: name '_REQUESTED_PLUGIN_NAMES' is not defined
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
23
s390x Linux
high Severity high
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2015-08-24 04:59 EDT by Jan Stodola
Modified: 2015-09-07 12:35 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.12.2-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-07 12:35:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (624 bytes, text/plain)
2015-08-24 05:00 EDT, Jan Stodola
no flags Details

  None (edit)
Description Jan Stodola 2015-08-24 04:59:03 EDT
Description of problem:
There is a traceback early after starting installation on s390x:

[   44.478473] anaconda[1883]: Starting installer, one moment... 
[   44.479100] anaconda[1883]: Traceback (most recent call last): 
[   44.479277] anaconda[1883]: File "/usr/sbin/anaconda", line 796, in <module> 
[   44.479385] anaconda[1883]: from pyanaconda import geoloc 
[   44.479495] anaconda[1883]: File "/usr/lib64/python3.4/site-packages/pyanaconda/geoloc.py", line 108, in <module> 
[   44.479602] anaconda[1883]: from pyanaconda import network 
[   44.479709] anaconda[1883]: File "/usr/lib64/python3.4/site-packages/pyanaconda/network.py", line 46, in <module> 
[   44.479816] anaconda[1883]: from blivet.devices import FcoeDiskDevice, iScsiDiskDevice 
[   44.479923] anaconda[1883]: File "/usr/lib/python3.4/site-packages/blivet/__init__.py", line 85, in <module> 
[   44.480035] anaconda[1883]: _requested_plugins = blockdev.plugin_specs_from_names(_REQUESTED_PLUGIN_NAMES) 
[   44.480143] anaconda[1883]: NameError: name '_REQUESTED_PLUGIN_NAMES' is not defined 
 

Version-Release number of selected component (if applicable):
F23_Alpha_RC1 / s390x

How reproducible:
always

Steps to Reproduce:
1. start installation on s390x

Additional info:
Compose: http://s390.koji.fedoraproject.org/compose/23_Alpha_RC1/23/Server/s390x/os/
Comment 1 Jan Stodola 2015-08-24 05:00:05 EDT
Created attachment 1066279 [details]
proposed patch
Comment 2 Vratislav Podzimek 2015-08-24 08:45:38 EDT
(In reply to Jan Stodola from comment #1)
> Created attachment 1066279 [details]
> proposed patch

Applied. Thanks!
Comment 3 Fedora Update System 2015-09-03 15:33:34 EDT
python-blivet-1.12.2-1.fc23 anaconda-23.19.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15030
Comment 4 Fedora Update System 2015-09-04 03:33:08 EDT
anaconda-23.19.2-1.fc23, python-blivet-1.12.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update anaconda python-blivet'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15030
Comment 5 Fedora Update System 2015-09-07 12:35:22 EDT
anaconda-23.19.2-1.fc23, python-blivet-1.12.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.